Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
06572 Speed Major Always May 1, 2017, 14:41 May 2, 2020, 05:15
Tester system11 View Status Public Platform MAME (Official Binary)
Assigned To Resolution Open OS Windows Vista/7/8 (64-bit)
Status [?] Acknowledged Driver jaleco/ms32.cpp
Version 0.185 Fixed in Version Build 64-bit
Fixed in Git Commit Github Pull Request #
Summary 06572: bnstars bnstars1: Incorrect emulation speed
Description Original hardware seems to run at 30fps for this game, for example the sound timing during the intro animations is incorrect as the animation completes before the sound (sound is the correct speed). Results in dramatically different gameplay.
Steps To Reproduce
Additional Information Almost seems a shame to fix it as it's better at 60, but it is currently incorrect.
Github Commit
Flags Verified with Original
Regression Version
Affected Sets / Systems bnstars bnstars1
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
4
User avatar
No.13814
Haze
Senior Tester
May 1, 2017, 17:48
edited on: May 1, 2017, 17:49
I wonder if this has something to do with it originally being a dual screen game on dedicated hardware while the ms32 version is a cut-down single screen version.

it would suggest that the interrupts are programmable tho
User avatar
No.13815
system11
Senior Tester
May 2, 2017, 00:46
edited on: May 2, 2017, 00:59
I've been unable to track down a twin screen version so I don't know if that runs at the same speed. It's currently 60 same as the MS32 version in emulation.

Unsure which type this is but it runs like mine:
http://www.nicovideo.jp/watch/sm3589271
User avatar
No.17072
MetalGod
Senior Tester
Oct 11, 2019, 17:35
Twin screen version:

User avatar
No.17594
system11
Senior Tester
May 2, 2020, 05:14
I now own the twin screen version too and can confirm it runs 30fps and effectively half the speed as a result, making it much easier.